#pragma once
#include "Arbitrator.h"
#include "GuardTask.h"
#include "BWAPI.h"
using namespace BWAPI;

class Overseer;

class DefenseMonitor {
public:
	DefenseMonitor(Overseer* o);
	void monitor();
	void manageMainBaseCannonDefense();
	void monitorBuildingsUnderConstruction();

private:
	Overseer* overseer;
	std::vector<BaseModel*> friendlyBases;

protected:

	

};
